package com.docus.server.archivefile.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.archivefile.infrastructure.dao.ITaskConfigTestDao;
import com.docus.server.archivefile.service.ITaskConfigTestService;
import com.docus.server.entity.auth.TaskConfigTest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 主动任务测试对象 TaskConfigTestServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-05
 */
@Service
public class TaskConfigTestServiceImpl implements ITaskConfigTestService {
    @Resource
    private ITaskConfigTestDao iTaskConfigTestDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskConfigTest findById(String id) {
        return iTaskConfigTestDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskConfigTest> search(SearchRequest searchRequest) {
        return iTaskConfigTestDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskConfigTest 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskConfigTest taskConfigTest) {
        return iTaskConfigTestDao.add(taskConfigTest);
    }

    /**
     * 编辑
     *
     * @param taskConfigTest 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskConfigTest taskConfigTest) {
        return iTaskConfigTestDao.edit(taskConfigTest);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskConfigTestDao.delete(ids);
    }
}

